<template>
    <v-layout aling-center justify-center row wrap>
        <v-flex xs12 md12 lg12 class="pl-5 pt-5">
            <h1>Hola {{ getUserData }} </h1>
            <p>
                 <router-link to="/admin/dashboard">Busqueda por Paciente</router-link>
            </p>
            <v-text-field prepend-icon="search" type="number" label="Indique numero de Factura" v-model="search" @change="triggerSearch" />
            <br />
            <view-orden v-bind:orden="facturaPacienteSearch"></view-orden>
        </v-flex>
    </v-layout>
</template>

<script>
import viewOrden from '../../components/admin/ViewOrden'

export default {
    name: 'AdminDashboardByFact',
    components: {
        viewOrden
    },
    data() {
        return {
            search: ''
        }
    },
    methods: {
        triggerSearch: function () {
            return this.$store.dispatch('GET_FACTURA_SEARCH', this.search);
        }
    },
    computed: {
        getUserId() {
            return this.$route.params.id
        },
        getUserData() {
            return this.$store.getters.getUserName;
        },
        facturaPacienteSearch() {
            return this.$store.getters.getFacturaSearch;
        }
    }
}
</script>

<style>

</style>
